
    #define USE_INTERNAL_OSC

    #if (__XC8_VERSION == 1000)
        #define ACTCON CRCON //Compiler workaround, definition was missing in 1.0 release header
    #endif

    //#define USE_SELF_POWER_SENSE_IO
    #define USB_BUS_SENSE 1
    #define self_power 0

    #define CLOCK_FREQ 48000000
    #define GetSystemClock() CLOCK_FREQ


	#define UART_TRISTx   TRISCbits.TRISC4
	#define UART_TRISRx   TRISCbits.TRISC5
	#define UART_Tx       PORTCbits.RC4
	#define UART_Rx       PORTCbits.RC5



    /** I/O pin definitions ********************************************/
    #define INPUT_PIN 1
    #define OUTPUT_PIN 0


	#define _XTAL_FREQ   48000000

    #define UART_DTS PORTCbits.RC0
    #define UART_DTR LATCbits.LATC1
    #define UART_RTS LATCbits.LATC2
    #define UART_CTS PORTCbits.RC3
    
    #define mInitRTSPin() {TRISCbits.TRISC2 = 0;}   //Configure RTS as a digital output.  
    #define mInitCTSPin() {TRISCbits.TRISC3 = 1;}   //Configure CTS as a digital input.  (Make sure pin is digital if ANxx functions is present on the pin)
    #define mInitDTSPin() {TRISCbits.TRISC0 = 1;}   //Configure DTS as a digital input.  (Make sure pin is digital if ANxx functions is present on the pin)
    #define mInitDTRPin() {TRISCbits.TRISC1 = 0;}   //Configure DTR as a digital output.


    #define SPBRG   SPBRGL
